Bug 1013507 - qemu-img: Error while committing image
qemu-img: Error while committing image
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 04:58 EDT by Xiaoqing Wei
Modified: 2015-01-29 09:47 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-29 09:47:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f -o strace.txt (247.45 KB, text/plain)
2014-07-29 04:38 EDT, Xiaoqing Wei
no flags Details

  None (edit)
Description Xiaoqing Wei 2013-09-30 04:58:53 EDT
Description of problem:
qemu-img: Error while committing image

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.406.el6.x86_64
qemu-img-0.12.1.2-2.406.el6.x86_64

How reproducible:
2/10

Steps to Reproduce:

1. qemu-img create -f qcow2 /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/sn1.qcow2 -b /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/sles11sp3-64-virtio.qcow2
2.
/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/qemu/qemu -monitor stdio \
    -S \
    -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130930-140029-sTvpKEHN,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130930-140029-sTvpKEHN,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130930-140029-sTvpKEHN,path=/tmp/seabios-20130930-140029-sTvpKEHN,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130930-140029-sTvpKEHN,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/sn1.qcow2',index=0,if=none,id=drive-virtio-disk1,media=disk,cache=none,snapshot=off,format=qcow2,aio=native \
    -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk1,bootindex=0 \
    -device virtio-net-pci,netdev=idpWdCHL,mac='9a:f7:f8:f9:fa:fb',bus=pci.0,addr=0x3,id='id7Wq546' \
    -netdev tap,id=idpWdCHL,vhost=on \
    -m 8192 \
    -smp 8,maxcpus=8,cores=4,threads=1,sockets=2 \
    -cpu 'Opteron_G3' \
    -M rhel6.5.0 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga cirrus \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off   \
    -no-kvm-pit-reinjection \
    -enable-kvm

3. shutdown guest, and 
qemu-img commit /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/sn1.qcow2 


Actual results:
Error while committing image
echo $?
1

Expected results:
committing success

Additional info:
not stable reproducer
Comment 2 ShupingCui 2013-10-15 03:59:38 EDT
met this issue again, and 100% reproduce in
qemu-img-rhev-0.12.1.2-2.412.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.412.el6.x86_64
Comment 4 Kevin Wolf 2014-07-25 08:51:41 EDT
Can you please try running the 'qemu-img commit' command under strace -f and
post the output of it? I hope we can see this way what the exact error is.
Comment 5 Xiaoqing Wei 2014-07-29 02:31:43 EDT
(In reply to Kevin Wolf from comment #4)
> Can you please try running the 'qemu-img commit' command under strace -f and
> post the output of it? I hope we can see this way what the exact error is.

Hello Kevin,

This bug is not always reproducible,
I am trying get one
Comment 6 Xiaoqing Wei 2014-07-29 04:38:07 EDT
Created attachment 922066 [details]
strace -f -o strace.txt
Comment 7 Xiaoqing Wei 2014-07-29 04:38:36 EDT
(In reply to Xiaoqing Wei from comment #6)
> Created attachment 922066 [details]
> strace -f -o strace.txt

Hi Kevin,
log attached, pls check.
Comment 8 Kevin Wolf 2014-07-29 05:25:32 EDT
Are you sure you attached the log of a failing instance? It ends with this:

12930 write(1, "Image committed.\n", 17) = 17
12930 exit_group(0)                     = ?

This is the message for successful completion and it has exit code 0, too.
Comment 10 Xiaoqing Wei 2014-07-29 05:54:33 EDT
(In reply to Kevin Wolf from comment #8)


BTW, version as below:

# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-0.12.1.2-2.431.el6.x86_64
Comment 13 Kevin Wolf 2015-01-27 06:50:41 EST
Obviously, the reported output "Error while committing image" and the posted
strace don't match. If the message isn't there in the trace, it can't possibly
have been output.

If we can't get an strace and an observed output that match, I'll have to close
this as INSUFFICIENT_DATA. Any chance we can get more coherent information?
Comment 14 Xiaoqing Wei 2015-01-27 21:45:02 EST
(In reply to Kevin Wolf from comment #13)
> Obviously, the reported output "Error while committing image" and the posted
> strace don't match. If the message isn't there in the trace, it can't
> possibly
> have been output.
> 
> If we can't get an strace and an observed output that match, I'll have to
> close
> this as INSUFFICIENT_DATA. Any chance we can get more coherent information?

Hi Kevin,

As the C#8, I have tried run this on a customized autotest env for this bz,
only reproduce this once, and unfortunately the result is uesless on your side.
I believe re-run that script would have same result.

Due to the low reproducibility of this bz, it wont impact a lot, it's fine to close on my side.

Thanks,
Xiaoqing
Comment 15 Kevin Wolf 2015-01-29 09:47:13 EST
Thanks, Xiaoqing. If you ever find some new information that could help with it,
feel free to reopen, but as you say, I will close it for now.

Note You need to log in before you can comment on or make changes to this bug.